<?php
require __DIR__ . '/vendor/autoload.php';

use Dotenv\Dotenv;

$dotenv = Dotenv::createImmutable(__DIR__);
$dotenv->load();

function getInvoiceDbConnection() {
    $host = $_ENV['INVOICE_DB_HOST'];
    $dbname = $_ENV['INVOICE_DB_NAME'];
    $user = $_ENV['INVOICE_DB_USER'];
    $password = $_ENV['INVOICE_DB_PASSWORD'];

    try {
        return new PDO("mysql:host=$host;dbname=$dbname;charset=utf8mb4", $user, $password);
    } catch (PDOException $e) {
        die("Database connection failed: " . $e->getMessage());
    }
}
